SQRT(3) | NetBSD Library Functions Manual | SQRT(3)

# NAME

cbrt, cbrtf, sqrt, sqrtf — cube root and square root functions

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
cbrt(double x);

float
cbrtf(float x);

double
sqrt(double x);

float
sqrtf(float x);

# DESCRIPTION

The cbrt() and cbrtf() functions compute the cube root of x.

The sqrt() and sqrtf() functions compute the non-negative square root of x.

# RETURN VALUES

If x is negative, sqrt(x) and sqrtf(x) set the global variable errno to EDOM.

# SEE ALSO

math(3)

# STANDARDS

The sqrt() function conforms to ANSI X3.159-1989 (“ANSI C”).

# HISTORY

The cbrt() function appeared in 4.3BSD.

May 6, 1991 | NetBSD 5.99